ServerEvents.recipes(event => {

    //blocks

    event.shaped(
        Item.of('minecraft:end_portal_frame', 1),
        [
            'aba',
            'xcx',
            'sXs',
        ],
        {
            a: 'minecraft:echo_shard',
            b: 'minecraft:light_weighted_pressure_plate',
            x: 'minecraft:crying_obsidian',
            c: 'minecraft:emerald_block',
            s: 'minecraft:sandstone',
            X: 'kubejs:super_compacted_wood'
        }
    )

    event.shaped(
        Item.of('kubejs:compacted_wood', 1),
        [
            'abc',
            'dxe',
            'fgh',
        ],
        {
            x: 'minecraft:slime_block',
            a: 'minecraft:cherry_log',
            b: 'minecraft:oak_log',
            c: 'minecraft:birch_log',
            d: 'minecraft:jungle_log',
            e: 'minecraft:spruce_log',
            f: 'minecraft:dark_oak_log',
            g: 'minecraft:acacia_log',
            h: 'minecraft:mangrove_log'
        }
    )

    event.shaped(
        Item.of('kubejs:super_compacted_wood', 1),
        [
            'XXX',
            'XxX',
            'XXX',
        ],
        {
            x: 'minecraft:honey_block',
            X: 'kubejs:compacted_wood'
        }
    )

    event.shaped(
        Item.of('justanotherpaxelmod:wooden_paxel', 1),
        [
            'abc',
            ' x ',
            ' x ',
        ],
        {
            x: 'minecraft:stick',
            a: 'minecraft:wooden_axe',
            b: 'minecraft:wooden_pickaxe',
            c: 'minecraft:wooden_shovel'
        }
    )

    event.shaped(
        Item.of('justanotherpaxelmod:stone_paxel', 1),
        [
            'abc',
            ' x ',
            ' x ',
        ],
        {
            x: 'minecraft:stick',
            a: 'minecraft:stone_axe',
            b: 'minecraft:stone_pickaxe',
            c: 'minecraft:stone_shovel'
        }
    )

    event.shaped(
        Item.of('justanotherpaxelmod:gold_paxel', 1),
        [
            'abc',
            ' x ',
            ' x ',
        ],
        {
            x: 'minecraft:stick',
            a: 'minecraft:golden_axe',
            b: 'minecraft:golden_pickaxe',
            c: 'minecraft:golden_shovel'
        }
    )

    event.shaped(
        Item.of('justanotherpaxelmod:iron_paxel', 1),
        [
            'abc',
            ' x ',
            ' x ',
        ],
        {
            x: 'minecraft:stick',
            a: 'minecraft:iron_axe',
            b: 'minecraft:iron_pickaxe',
            c: 'minecraft:iron_shovel'
        }
    )

    event.shaped(
        Item.of('justanotherpaxelmod:diamond_paxel', 1),
        [
            'abc',
            ' x ',
            ' x ',
        ],
        {
            x: 'minecraft:stick',
            a: 'minecraft:diamond_axe',
            b: 'minecraft:diamond_pickaxe',
            c: 'minecraft:diamond_shovel'
        }
    )

    event.shaped(
        Item.of('minecraft:cobweb', 1),
        [
            'sxs',
            'xXx',
            'sxs',
        ],
        {
            x: 'minecraft:string',
            X: 'minecraft:slime_ball',
            s: 'minecraft:dead_bush',
        }
    )

    event.shaped(
        Item.of('minecraft:soul_soil', 1),
        [
            'pPx',
            'rXr',
            'xms',
        ],
        {
            X: 'minecraft:dirt',
            x: 'minecraft:bone_meal',
            r: 'minecraft:rotten_flesh',
            P: 'minecraft:podzol',
            m: 'minecraft:mycelium',
            s: 'minecraft:spider_eye',
            p: 'minecraft:poisonous_potato',

        }
    )


    event.shapeless(
        Item.of('farmersdelight:organic_compost', 1),
        [
            'minecraft:dirt',
            'farmersdelight:straw',
            'farmersdelight:straw',
            'minecraft:bone_meal',
            'minecraft:bone_meal',
            'minecraft:dead_bush',
            'minecraft:dead_bush',
            'minecraft:dead_bush',
            'minecraft:dead_bush',
        ]
    )

    event.shapeless(
        Item.of('minecraft:podzol', 1),
        [
            'minecraft:dirt',
            'minecraft:bone',
            'minecraft:rotten_flesh',
            '#kubejs:leaves',
        ]
    )

    event.shapeless(
        Item.of('minecraft:mycelium', 1),
        [
            'minecraft:grass_block',
            'minecraft:red_mushroom',
            'minecraft:brown_mushroom',
            'minecraft:podzol',
        ]
    )

    //items

    event.shapeless(
        Item.of('minecraft:wheat_seeds', 1),
        [
            'minecraft:wheat',
            'minecraft:wheat',
        ]
    )
})